Package org.eclipse.emf.compare

## Interface Conflict

All Superinterfaces:
  `EObject`, `Notifier`

All Known Implementing Classes:
  `ConflictImpl`, `ConflictSpec`, `ThreeWayComparisonGroupProvider.CompositeConflict`

    public interface Conflict
    extends EObject

A representation of the model object 'Conflict'. Instances of this class describe conflicts between one or more differences in the left model as compared to differences in the right model. Conflicts can only happen in the case of three-way comparisons, when we have a common ancestor of both sides.

The following features are supported:

- `Kind`
- `Differences`

See Also:
  `ComparePackage.getConflict()`
Generated:

### Field Summary

Fields
`static String` `copyright`

### Method Summary

All Methods Instance Methods Abstract Methods
`EList<Diff>` `getDifferences()` Returns the value of the 'Differences' reference list.
`ConflictKind` `getKind()` Returns the value of the 'Kind' attribute.
`EList<Diff>` `getLeftDifferences()` This can be used to retrieve the list of differences that were made in the left element.
`EList<Diff>` `getRightDifferences()` This can be used to retrieve the list of differences that were made in the right element.
`void` `setKind​(ConflictKind value)` Sets the value of the '`Kind`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### copyright

    static final String copyright

See Also:
  Constant Field Values
Generated:

### Method Detail

#### getKind

    ConflictKind getKind()

Returns the value of the 'Kind' attribute. The literals are from the enumeration `ConflictKind`. Describes the kind of this conflict, whether it is a real conflict or a pseudo-conflict.

Returns:
  the value of the 'Kind' attribute.
See Also:
  `ConflictKind`, `setKind(ConflictKind)`, `ComparePackage.getConflict_Kind()`
Generated:

#### setKind

    void setKind​(ConflictKind value)

Sets the value of the '`Kind`' attribute.

Parameters:
  `value` - the new value of the 'Kind' attribute.
See Also:
  `ConflictKind`, `getKind()`
Generated:

#### getDifferences

    EList<Diff> getDifferences()

Returns the value of the 'Differences' reference list. The list contents are of type `Diff`. It is bidirectional and its opposite is '`Conflict`'. This will reference all differences that are related to this conflict. The number of elements contained in this list is at least two.

Returns:
  the value of the 'Differences' reference list.
See Also:
  `ComparePackage.getConflict_Differences()`, `Diff.getConflict()`
Generated:

#### getLeftDifferences

    EList<Diff> getLeftDifferences()

This can be used to retrieve the list of differences that were made in the left element.

Generated:

#### getRightDifferences

    EList<Diff> getRightDifferences()

This can be used to retrieve the list of differences that were made in the right element.

Generated: